# StorageOS Helm Chart

```bash
# install
helm install /etc/kubernetes/helm/storageos \
--name=storageos \
--namespace=storageos \
-f /etc/kubernetes/helm/storageos/values-overrides.yaml

# 2. Uninstall Gitlab
helm del --purge storageos
```

## overrides
```bash
cat /etc/kubernetes/helm/storageos/values-overrides.yaml
```

```yaml
# Default values for storageos.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
image:
  repository: reg.local:5000/k8s/storageos-node
  tag: 1.0.0-rc4
  pullPolicy: IfNotPresent

initContainer:
  repository: reg.local:5000/k8s/storageos-init
  tag: 0.1
  pullPolicy: IfNotPresent

csiDriverRegistrar:
  repository: reg.local:5000/k8s/k8scsi-driver-registrar
  tag: v0.2.0
  pullPolicy: IfNotPresent

csiExternalProvisioner:
  repository: reg.local:5000/k8s/k8scsi-csi-provisioner
  tag: v0.3.0
  pullPolicy: Always

csiExternalAttacher:
  repository: reg.local:5000/k8s/k8scsi-csi-attacher
  tag: v0.3.0
  pullPolicy: Always

rbacEnabled: true

cluster:
  join: 172.16.158.229
  sharedDir: /var/lib/kubelet/plugins/kubernetes.io~storageos
  kv_address: 172.16.158.229:2379
  kv_backend: etcd

storageclass:
  name: storageos
  pool: default
  fsType: ext4
api:
  secretName: storageos-api
  secretNamespace: default
  address: storageos:5705
  username: admin
  password: "abcd2018"
namespace: storageos

ingress:
  enabled: true
  hosts:
  - name: storageos.wodcloud.ysgz

csi:
  enable: true
```